@import "../../../assets/styles/main.scss";

.modalWrapper {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: calc(100% - -100px);
  opacity: 0;
  visibility: hidden;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
  z-index: 999999;
  background-color: getColorHex("black", 0.4);

  &.openModalWrapper {
    opacity: 1;
    visibility: visible;
  }

  .modal {
    // background-color: getColorHex("white");
    color: getColorHex("black");
    position: relative;

    .closeIconDiv {
      position: absolute;
      right: rem(24);
      top: rem(24);
      cursor: pointer;
    }
  }
}
